Skip to main content
PUT
/
api
/
v1
/
school
/
pass-marks
/
update-current
Update or create pass marks
curl --request PUT \
  --url https://api.example.com/api/v1/school/pass-marks/update-current/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "o_level": 50,
  "a_level": 50
}
'
{
  "success": true,
  "action": "updated",
  "message": "Pass mark configuration updated successfully",
  "data": {
    "id": "uuid-123",
    "o_level": 45,
    "a_level": 50,
    "created_at": "2025-10-10T10:00:00Z",
    "updated_at": "2025-10-10T12:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Auto-populate created_by from request.user when available.

o_level
integer
Required range: 0 <= x <= 100
a_level
integer
Required range: 0 <= x <= 100

Response

{key}
any